<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.sale.mapper.purchase.PurchaseBackMapper">
    <select id="getPage" resultType="com.fjhx.sale.entity.purchase.vo.PurchaseBackVo">
        SELECT pb.id,
               pb.`code`,
               pb.purchase_id,
               pb.remark,
               pb.`status`,
               pb.create_user,
               pb.create_time,
               pb.update_user,
               pb.update_time,
               p.`code` AS purchaseCode
        FROM purchase_back pb
                 LEFT JOIN ehsd_purchase p ON pb.purchase_id = p.id
            ${ew.customSqlSegment}
    </select>

</mapper>
